Package com.android.server.os

# Interface LinphoneTombstoneProtos.ThreadOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.Thread`, `LinphoneTombstoneProtos.Thread.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.ThreadOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getBacktraceNote(int index)`
`repeated string backtrace_note = 7;`
`com.google.protobuf.ByteString`
`getBacktraceNoteBytes(int index)`
`repeated string backtrace_note = 7;`
`int`
`getBacktraceNoteCount()`
`repeated string backtrace_note = 7;`
`List<String>`
`getBacktraceNoteList()`
`repeated string backtrace_note = 7;`
`LinphoneTombstoneProtos.BacktraceFrame`
`getCurrentBacktrace(int index)`
`repeated .BacktraceFrame current_backtrace = 4;`
`int`
`getCurrentBacktraceCount()`
`repeated .BacktraceFrame current_backtrace = 4;`
`List<LinphoneTombstoneProtos.BacktraceFrame>`
`getCurrentBacktraceList()`
`repeated .BacktraceFrame current_backtrace = 4;`
`int`
`getId()`
`int32 id = 1;`
`LinphoneTombstoneProtos.MemoryDump`
`getMemoryDump(int index)`
`repeated .MemoryDump memory_dump = 5;`
`int`
`getMemoryDumpCount()`
`repeated .MemoryDump memory_dump = 5;`
`List<LinphoneTombstoneProtos.MemoryDump>`
`getMemoryDumpList()`
`repeated .MemoryDump memory_dump = 5;`
`String`
`getName()`
`string name = 2;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 2;`
`long`
`getPacEnabledKeys()`
`int64 pac_enabled_keys = 8;`
`LinphoneTombstoneProtos.Register`
`getRegisters(int index)`
`repeated .Register registers = 3;`
`int`
`getRegistersCount()`
`repeated .Register registers = 3;`
`List<LinphoneTombstoneProtos.Register>`
`getRegistersList()`
`repeated .Register registers = 3;`
`long`
`getTaggedAddrCtrl()`
`int64 tagged_addr_ctrl = 6;`
`String`
`getUnreadableElfFiles(int index)`
`repeated string unreadable_elf_files = 9;`
`com.google.protobuf.ByteString`
`getUnreadableElfFilesBytes(int index)`
`repeated string unreadable_elf_files = 9;`
`int`
`getUnreadableElfFilesCount()`
`repeated string unreadable_elf_files = 9;`
`List<String>`
`getUnreadableElfFilesList()`
`repeated string unreadable_elf_files = 9;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getId

int getId()
`int32 id = 1;`

Returns:
  The id.

### getName

String getName()
`string name = 2;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()
`string name = 2;`

Returns:
  The bytes for name.

### getRegistersList

List<LinphoneTombstoneProtos.Register> getRegistersList()
`repeated .Register registers = 3;`

### getRegisters

LinphoneTombstoneProtos.Register getRegisters(int index)
`repeated .Register registers = 3;`

### getRegistersCount

int getRegistersCount()
`repeated .Register registers = 3;`

### getBacktraceNoteList

List<String> getBacktraceNoteList()
`repeated string backtrace_note = 7;`

Returns:
  A list containing the backtraceNote.

### getBacktraceNoteCount

int getBacktraceNoteCount()
`repeated string backtrace_note = 7;`

Returns:
  The count of backtraceNote.

### getBacktraceNote

String getBacktraceNote(int index)
`repeated string backtrace_note = 7;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The backtraceNote at the given index.

### getBacktraceNoteBytes

com.google.protobuf.ByteString getBacktraceNoteBytes(int index)
`repeated string backtrace_note = 7;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The backtraceNote at the given index.

### getUnreadableElfFilesList

List<String> getUnreadableElfFilesList()
`repeated string unreadable_elf_files = 9;`

Returns:
  A list containing the unreadableElfFiles.

### getUnreadableElfFilesCount

int getUnreadableElfFilesCount()
`repeated string unreadable_elf_files = 9;`

Returns:
  The count of unreadableElfFiles.

### getUnreadableElfFiles

String getUnreadableElfFiles(int index)
`repeated string unreadable_elf_files = 9;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The unreadableElfFiles at the given index.

### getUnreadableElfFilesBytes

com.google.protobuf.ByteString getUnreadableElfFilesBytes(int index)
`repeated string unreadable_elf_files = 9;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The unreadableElfFiles at the given index.

### getCurrentBacktraceList

List<LinphoneTombstoneProtos.BacktraceFrame> getCurrentBacktraceList()
`repeated .BacktraceFrame current_backtrace = 4;`

### getCurrentBacktrace

LinphoneTombstoneProtos.BacktraceFrame getCurrentBacktrace(int index)
`repeated .BacktraceFrame current_backtrace = 4;`

### getCurrentBacktraceCount

int getCurrentBacktraceCount()
`repeated .BacktraceFrame current_backtrace = 4;`

### getMemoryDumpList

List<LinphoneTombstoneProtos.MemoryDump> getMemoryDumpList()
`repeated .MemoryDump memory_dump = 5;`

### getMemoryDump

LinphoneTombstoneProtos.MemoryDump getMemoryDump(int index)
`repeated .MemoryDump memory_dump = 5;`

### getMemoryDumpCount

int getMemoryDumpCount()
`repeated .MemoryDump memory_dump = 5;`

### getTaggedAddrCtrl

long getTaggedAddrCtrl()
`int64 tagged_addr_ctrl = 6;`

Returns:
  The taggedAddrCtrl.

### getPacEnabledKeys

long getPacEnabledKeys()
`int64 pac_enabled_keys = 8;`

Returns:
  The pacEnabledKeys.